"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const react = require("@graphiql/react");
const jsxRuntime = require("react/jsx-runtime");
const reactCompilerRuntime = require("react-compiler-runtime");
const react$1 = require("react");
const majorVersion = parseInt(react$1.version.slice(0, 2), 10);
if (majorVersion < 16) {
  throw new Error(["GraphiQL 0.18.0 and after is not compatible with React 15 or below.", "If you are using a CDN source (jsdelivr, unpkg, etc), follow this example:", "https://github.com/graphql/graphiql/blob/master/examples/graphiql-cdn/index.html#L49"].join("\n"));
}
function GraphiQL(t0) {
  const $ = reactCompilerRuntime.c(62);
  let confirmCloseTab;
  let dangerouslyAssumeSchemaIsValid;
  let defaultHeaders;
  let defaultQuery;
  let defaultTabs;
  let externalFragments;
  let fetcher;
  let getDefaultFieldNames;
  let headers;
  let inputValueDeprecation;
  let introspectionQueryName;
  let maxHistoryLength;
  let onEditOperationName;
  let onSchemaChange;
  let onTabChange;
  let onTogglePluginVisibility;
  let operationName;
  let plugins;
  let props;
  let query;
  let response;
  let schema;
  let schemaDescription;
  let shouldPersistHeaders;
  let storage;
  let validationRules;
  let variables;
  let visiblePlugin;
  if ($[0] !== t0) {
    ({
      dangerouslyAssumeSchemaIsValid,
      confirmCloseTab,
      defaultQuery,
      defaultTabs,
      externalFragments,
      fetcher,
      getDefaultFieldNames,
      headers,
      inputValueDeprecation,
      introspectionQueryName,
      maxHistoryLength,
      onEditOperationName,
      onSchemaChange,
      onTabChange,
      onTogglePluginVisibility,
      operationName,
      plugins,
      query,
      response,
      schema,
      schemaDescription,
      shouldPersistHeaders,
      storage,
      validationRules,
      variables,
      visiblePlugin,
      defaultHeaders,
      ...props
    } = t0);
    $[0] = t0;
    $[1] = confirmCloseTab;
    $[2] = dangerouslyAssumeSchemaIsValid;
    $[3] = defaultHeaders;
    $[4] = defaultQuery;
    $[5] = defaultTabs;
    $[6] = externalFragments;
    $[7] = fetcher;
    $[8] = getDefaultFieldNames;
    $[9] = headers;
    $[10] = inputValueDeprecation;
    $[11] = introspectionQueryName;
    $[12] = maxHistoryLength;
    $[13] = onEditOperationName;
    $[14] = onSchemaChange;
    $[15] = onTabChange;
    $[16] = onTogglePluginVisibility;
    $[17] = operationName;
    $[18] = plugins;
    $[19] = props;
    $[20] = query;
    $[21] = response;
    $[22] = schema;
    $[23] = schemaDescription;
    $[24] = shouldPersistHeaders;
    $[25] = storage;
    $[26] = validationRules;
    $[27] = variables;
    $[28] = visiblePlugin;
  } else {
    confirmCloseTab = $[1];
    dangerouslyAssumeSchemaIsValid = $[2];
    defaultHeaders = $[3];
    defaultQuery = $[4];
    defaultTabs = $[5];
    externalFragments = $[6];
    fetcher = $[7];
    getDefaultFieldNames = $[8];
    headers = $[9];
    inputValueDeprecation = $[10];
    introspectionQueryName = $[11];
    maxHistoryLength = $[12];
    onEditOperationName = $[13];
    onSchemaChange = $[14];
    onTabChange = $[15];
    onTogglePluginVisibility = $[16];
    operationName = $[17];
    plugins = $[18];
    props = $[19];
    query = $[20];
    response = $[21];
    schema = $[22];
    schemaDescription = $[23];
    shouldPersistHeaders = $[24];
    storage = $[25];
    validationRules = $[26];
    variables = $[27];
    visiblePlugin = $[28];
  }
  if (typeof fetcher !== "function") {
    throw new TypeError("The `GraphiQL` component requires a `fetcher` function to be passed as prop.");
  }
  const t1 = shouldPersistHeaders !== false;
  const t2 = props.disableTabs ?? false;
  let t3;
  if ($[29] !== confirmCloseTab || $[30] !== props || $[31] !== t1 || $[32] !== t2) {
    t3 = /* @__PURE__ */ jsxRuntime.jsx(GraphiQLInterface, { confirmCloseTab, showPersistHeadersSettings: t1, disableTabs: t2, forcedTheme: props.forcedTheme, ...props });
    $[29] = confirmCloseTab;
    $[30] = props;
    $[31] = t1;
    $[32] = t2;
    $[33] = t3;
  } else {
    t3 = $[33];
  }
  let t4;
  if ($[34] !== dangerouslyAssumeSchemaIsValid || $[35] !== defaultHeaders || $[36] !== defaultQuery || $[37] !== defaultTabs || $[38] !== externalFragments || $[39] !== fetcher || $[40] !== getDefaultFieldNames || $[41] !== headers || $[42] !== inputValueDeprecation || $[43] !== introspectionQueryName || $[44] !== maxHistoryLength || $[45] !== onEditOperationName || $[46] !== onSchemaChange || $[47] !== onTabChange || $[48] !== onTogglePluginVisibility || $[49] !== operationName || $[50] !== plugins || $[51] !== query || $[52] !== response || $[53] !== schema || $[54] !== schemaDescription || $[55] !== shouldPersistHeaders || $[56] !== storage || $[57] !== t3 || $[58] !== validationRules || $[59] !== variables || $[60] !== visiblePlugin) {
    t4 = /* @__PURE__ */ jsxRuntime.jsx(react.GraphiQLProvider, { getDefaultFieldNames, dangerouslyAssumeSchemaIsValid, defaultQuery, defaultHeaders, defaultTabs, externalFragments, fetcher, headers, inputValueDeprecation, introspectionQueryName, maxHistoryLength, onEditOperationName, onSchemaChange, onTabChange, onTogglePluginVisibility, plugins, visiblePlugin, operationName, query, response, schema, schemaDescription, shouldPersistHeaders, storage, validationRules, variables, children: t3 });
    $[34] = dangerouslyAssumeSchemaIsValid;
    $[35] = defaultHeaders;
    $[36] = defaultQuery;
    $[37] = defaultTabs;
    $[38] = externalFragments;
    $[39] = fetcher;
    $[40] = getDefaultFieldNames;
    $[41] = headers;
    $[42] = inputValueDeprecation;
    $[43] = introspectionQueryName;
    $[44] = maxHistoryLength;
    $[45] = onEditOperationName;
    $[46] = onSchemaChange;
    $[47] = onTabChange;
    $[48] = onTogglePluginVisibility;
    $[49] = operationName;
    $[50] = plugins;
    $[51] = query;
    $[52] = response;
    $[53] = schema;
    $[54] = schemaDescription;
    $[55] = shouldPersistHeaders;
    $[56] = storage;
    $[57] = t3;
    $[58] = validationRules;
    $[59] = variables;
    $[60] = visiblePlugin;
    $[61] = t4;
  } else {
    t4 = $[61];
  }
  return t4;
}
GraphiQL.Logo = GraphiQLLogo;
GraphiQL.Toolbar = GraphiQLToolbar;
GraphiQL.Footer = GraphiQLFooter;
const THEMES = ["light", "dark", "system"];
const TAB_CLASS_PREFIX = "graphiql-session-tab-";
function GraphiQLInterface(props) {
  var _a, _b, _c;
  const isHeadersEditorEnabled = props.isHeadersEditorEnabled ?? true;
  const editorContext = react.useEditorContext({
    nonNull: true
  });
  const executionContext = react.useExecutionContext({
    nonNull: true
  });
  const schemaContext = react.useSchemaContext({
    nonNull: true
  });
  const storageContext = react.useStorageContext();
  const pluginContext = react.usePluginContext();
  const forcedTheme = props.forcedTheme && THEMES.includes(props.forcedTheme) ? props.forcedTheme : void 0;
  const copy = react.useCopyQuery({
    onCopyQuery: props.onCopyQuery
  });
  const merge = react.useMergeQuery();
  const prettify = react.usePrettifyEditors();
  const {
    theme,
    setTheme
  } = react.useTheme(props.defaultTheme);
  react$1.useEffect(() => {
    if (forcedTheme === "system") {
      setTheme(null);
    } else if (forcedTheme === "light" || forcedTheme === "dark") {
      setTheme(forcedTheme);
    }
  }, [forcedTheme, setTheme]);
  const PluginContent = (_a = pluginContext == null ? void 0 : pluginContext.visiblePlugin) == null ? void 0 : _a.content;
  const pluginResize = react.useDragResize({
    defaultSizeRelation: 1 / 3,
    direction: "horizontal",
    initiallyHidden: (pluginContext == null ? void 0 : pluginContext.visiblePlugin) ? void 0 : "first",
    onHiddenElementChange(resizableElement) {
      if (resizableElement === "first") {
        pluginContext == null ? void 0 : pluginContext.setVisiblePlugin(null);
      }
    },
    sizeThresholdSecond: 200,
    storageKey: "docExplorerFlex"
  });
  const editorResize = react.useDragResize({
    direction: "horizontal",
    storageKey: "editorFlex"
  });
  const editorToolsResize = react.useDragResize({
    defaultSizeRelation: 3,
    direction: "vertical",
    initiallyHidden: (() => {
      if (props.defaultEditorToolsVisibility === "variables" || props.defaultEditorToolsVisibility === "headers") {
        return;
      }
      if (typeof props.defaultEditorToolsVisibility === "boolean") {
        return props.defaultEditorToolsVisibility ? void 0 : "second";
      }
      return editorContext.initialVariables || editorContext.initialHeaders ? void 0 : "second";
    })(),
    sizeThresholdSecond: 60,
    storageKey: "secondaryEditorFlex"
  });
  const [activeSecondaryEditor, setActiveSecondaryEditor] = react$1.useState(() => {
    if (props.defaultEditorToolsVisibility === "variables" || props.defaultEditorToolsVisibility === "headers") {
      return props.defaultEditorToolsVisibility;
    }
    return !editorContext.initialVariables && editorContext.initialHeaders && isHeadersEditorEnabled ? "headers" : "variables";
  });
  const [showDialog, setShowDialog] = react$1.useState(null);
  const [clearStorageStatus, setClearStorageStatus] = react$1.useState(null);
  const children = react$1.Children.toArray(props.children);
  const logo = children.find((child) => isChildComponentType(child, GraphiQL.Logo)) || /* @__PURE__ */ jsxRuntime.jsx(GraphiQL.Logo, {});
  const toolbar = children.find((child_0) => isChildComponentType(child_0, GraphiQL.Toolbar)) || /* @__PURE__ */ jsxRuntime.jsxs(jsxRuntime.Fragment, { children: [
    /* @__PURE__ */ jsxRuntime.jsx(react.ToolbarButton, { onClick: prettify, label: "Prettify query (Shift-Ctrl-P)", children: /* @__PURE__ */ jsxRuntime.jsx(react.PrettifyIcon, { className: "graphiql-toolbar-icon", "aria-hidden": "true" }) }),
    /* @__PURE__ */ jsxRuntime.jsx(react.ToolbarButton, { onClick: merge, label: "Merge fragments into query (Shift-Ctrl-M)", children: /* @__PURE__ */ jsxRuntime.jsx(react.MergeIcon, { className: "graphiql-toolbar-icon", "aria-hidden": "true" }) }),
    /* @__PURE__ */ jsxRuntime.jsx(react.ToolbarButton, { onClick: copy, label: "Copy query (Shift-Ctrl-C)", children: /* @__PURE__ */ jsxRuntime.jsx(react.CopyIcon, { className: "graphiql-toolbar-icon", "aria-hidden": "true" }) }),
    (_b = props.toolbar) == null ? void 0 : _b.additionalContent,
    ((_c = props.toolbar) == null ? void 0 : _c.additionalComponent) && /* @__PURE__ */ jsxRuntime.jsx(props.toolbar.additionalComponent, {})
  ] });
  const footer = children.find((child_1) => isChildComponentType(child_1, GraphiQL.Footer));
  const onClickReference = () => {
    if (pluginResize.hiddenElement === "first") {
      pluginResize.setHiddenElement(null);
    }
  };
  const handleClearData = () => {
    try {
      storageContext == null ? void 0 : storageContext.clear();
      setClearStorageStatus("success");
    } catch {
      setClearStorageStatus("error");
    }
  };
  const handlePersistHeaders = (event) => {
    editorContext.setShouldPersistHeaders(event.currentTarget.dataset.value === "true");
  };
  const handleChangeTheme = (event_0) => {
    const selectedTheme = event_0.currentTarget.dataset.theme;
    setTheme(selectedTheme || null);
  };
  const handleAddTab = editorContext.addTab;
  const handleRefetchSchema = schemaContext.introspect;
  const handleReorder = editorContext.moveTab;
  const handleShowDialog = (event_1) => {
    setShowDialog(event_1.currentTarget.dataset.value);
  };
  const handlePluginClick = (event_2) => {
    const context = pluginContext;
    const pluginIndex = Number(event_2.currentTarget.dataset.index);
    const plugin = context.plugins.find((_, index) => pluginIndex === index);
    const isVisible = plugin === context.visiblePlugin;
    if (isVisible) {
      context.setVisiblePlugin(null);
      pluginResize.setHiddenElement("first");
    } else {
      context.setVisiblePlugin(plugin);
      pluginResize.setHiddenElement(null);
    }
  };
  const handleToolsTabClick = (event_3) => {
    if (editorToolsResize.hiddenElement === "second") {
      editorToolsResize.setHiddenElement(null);
    }
    setActiveSecondaryEditor(event_3.currentTarget.dataset.name);
  };
  const toggleEditorTools = () => {
    editorToolsResize.setHiddenElement(editorToolsResize.hiddenElement === "second" ? null : "second");
  };
  const handleOpenShortKeysDialog = (isOpen) => {
    if (!isOpen) {
      setShowDialog(null);
    }
  };
  const handleOpenSettingsDialog = (isOpen_0) => {
    if (!isOpen_0) {
      setShowDialog(null);
      setClearStorageStatus(null);
    }
  };
  const addTab = /* @__PURE__ */ jsxRuntime.jsx(react.Tooltip, { label: "Add tab", children: /* @__PURE__ */ jsxRuntime.jsx(react.UnStyledButton, { type: "button", className: "graphiql-tab-add", onClick: handleAddTab, "aria-label": "Add tab", children: /* @__PURE__ */ jsxRuntime.jsx(react.PlusIcon, { "aria-hidden": "true" }) }) });
  const className = props.className ? ` ${props.className}` : "";
  const confirmClose = props.confirmCloseTab;
  const handleTabClose = async (event_4) => {
    const tabButton = event_4.currentTarget.previousSibling;
    const index_0 = Number(tabButton.id.replace(TAB_CLASS_PREFIX, ""));
    const shouldCloseTab = confirmClose ? await confirmClose(index_0) : true;
    if (!shouldCloseTab) {
      return;
    }
    if (editorContext.activeTabIndex === index_0) {
      executionContext.stop();
    }
    editorContext.closeTab(index_0);
  };
  const handleTabClick = (event_5) => {
    const index_1 = Number(event_5.currentTarget.id.replace(TAB_CLASS_PREFIX, ""));
    executionContext.stop();
    editorContext.changeTab(index_1);
  };
  return /* @__PURE__ */ jsxRuntime.jsx(react.Tooltip.Provider, { children: /* @__PURE__ */ jsxRuntime.jsxs("div", { "data-testid": "graphiql-container", className: `graphiql-container${className}`, children: [
    /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-sidebar", children: [
      /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-sidebar-section", children: pluginContext == null ? void 0 : pluginContext.plugins.map((plugin_0, index_2) => {
        const isVisible_0 = plugin_0 === pluginContext.visiblePlugin;
        const label = `${isVisible_0 ? "Hide" : "Show"} ${plugin_0.title}`;
        return /* @__PURE__ */ jsxRuntime.jsx(react.Tooltip, { label, children: /* @__PURE__ */ jsxRuntime.jsx(react.UnStyledButton, { type: "button", className: isVisible_0 ? "active" : "", onClick: handlePluginClick, "data-index": index_2, "aria-label": label, children: /* @__PURE__ */ jsxRuntime.jsx(plugin_0.icon, { "aria-hidden": "true" }) }) }, plugin_0.title);
      }) }),
      /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-sidebar-section", children: [
        /* @__PURE__ */ jsxRuntime.jsx(react.Tooltip, { label: "Re-fetch GraphQL schema", children: /* @__PURE__ */ jsxRuntime.jsx(react.UnStyledButton, { type: "button", disabled: schemaContext.isFetching, onClick: handleRefetchSchema, "aria-label": "Re-fetch GraphQL schema", children: /* @__PURE__ */ jsxRuntime.jsx(react.ReloadIcon, { className: schemaContext.isFetching ? "graphiql-spin" : "", "aria-hidden": "true" }) }) }),
        /* @__PURE__ */ jsxRuntime.jsx(react.Tooltip, { label: "Open short keys dialog", children: /* @__PURE__ */ jsxRuntime.jsx(react.UnStyledButton, { type: "button", "data-value": "short-keys", onClick: handleShowDialog, "aria-label": "Open short keys dialog", children: /* @__PURE__ */ jsxRuntime.jsx(react.KeyboardShortcutIcon, { "aria-hidden": "true" }) }) }),
        /* @__PURE__ */ jsxRuntime.jsx(react.Tooltip, { label: "Open settings dialog", children: /* @__PURE__ */ jsxRuntime.jsx(react.UnStyledButton, { type: "button", "data-value": "settings", onClick: handleShowDialog, "aria-label": "Open settings dialog", children: /* @__PURE__ */ jsxRuntime.jsx(react.SettingsIcon, { "aria-hidden": "true" }) }) })
      ] })
    ] }),
    /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-main", children: [
      /* @__PURE__ */ jsxRuntime.jsx("div", { ref: pluginResize.firstRef, style: {
        // Make sure the container shrinks when containing long
        // non-breaking texts
        minWidth: "200px"
      }, children: /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-plugin", children: PluginContent ? /* @__PURE__ */ jsxRuntime.jsx(PluginContent, {}) : null }) }),
      (pluginContext == null ? void 0 : pluginContext.visiblePlugin) && /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-horizontal-drag-bar", ref: pluginResize.dragBarRef }),
      /* @__PURE__ */ jsxRuntime.jsxs("div", { ref: pluginResize.secondRef, className: "graphiql-sessions", children: [
        /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-session-header", children: [
          !props.disableTabs && /* @__PURE__ */ jsxRuntime.jsx(react.Tabs, { values: editorContext.tabs, onReorder: handleReorder, "aria-label": "Select active operation", children: editorContext.tabs.length > 1 && /* @__PURE__ */ jsxRuntime.jsxs(jsxRuntime.Fragment, { children: [
            editorContext.tabs.map((tab, index_3) => /* @__PURE__ */ jsxRuntime.jsxs(react.Tab, { value: tab, isActive: index_3 === editorContext.activeTabIndex, children: [
              /* @__PURE__ */ jsxRuntime.jsx(react.Tab.Button, { "aria-controls": "graphiql-session", id: `${TAB_CLASS_PREFIX}${index_3}`, onClick: handleTabClick, children: tab.title }),
              /* @__PURE__ */ jsxRuntime.jsx(react.Tab.Close, { onClick: handleTabClose })
            ] }, tab.id)),
            addTab
          ] }) }),
          /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-session-header-right", children: [
            editorContext.tabs.length === 1 && addTab,
            logo
          ] })
        ] }),
        /* @__PURE__ */ jsxRuntime.jsxs(
          "div",
          {
            role: "tabpanel",
            id: "graphiql-session",
            className: "graphiql-session",
            "aria-labelledby": `${TAB_CLASS_PREFIX}${editorContext.activeTabIndex}`,
            children: [
              /* @__PURE__ */ jsxRuntime.jsx("div", { ref: editorResize.firstRef, children: /* @__PURE__ */ jsxRuntime.jsxs("div", { className: `graphiql-editors${editorContext.tabs.length === 1 ? " full-height" : ""}`, children: [
                /* @__PURE__ */ jsxRuntime.jsx("div", { ref: editorToolsResize.firstRef, children: /* @__PURE__ */ jsxRuntime.jsxs("section", { className: "graphiql-query-editor", "aria-label": "Query Editor", children: [
                  /* @__PURE__ */ jsxRuntime.jsx(react.QueryEditor, { editorTheme: props.editorTheme, keyMap: props.keyMap, onClickReference, onCopyQuery: props.onCopyQuery, onEdit: props.onEditQuery, readOnly: props.readOnly }),
                  /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-toolbar", role: "toolbar", "aria-label": "Editor Commands", children: [
                    /* @__PURE__ */ jsxRuntime.jsx(react.ExecuteButton, {}),
                    toolbar
                  ] })
                ] }) }),
                /* @__PURE__ */ jsxRuntime.jsx("div", { ref: editorToolsResize.dragBarRef, children: /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-editor-tools", children: [
                  /* @__PURE__ */ jsxRuntime.jsx(react.UnStyledButton, { type: "button", className: activeSecondaryEditor === "variables" && editorToolsResize.hiddenElement !== "second" ? "active" : "", onClick: handleToolsTabClick, "data-name": "variables", children: "Variables" }),
                  isHeadersEditorEnabled && /* @__PURE__ */ jsxRuntime.jsx(react.UnStyledButton, { type: "button", className: activeSecondaryEditor === "headers" && editorToolsResize.hiddenElement !== "second" ? "active" : "", onClick: handleToolsTabClick, "data-name": "headers", children: "Headers" }),
                  /* @__PURE__ */ jsxRuntime.jsx(react.Tooltip, { label: editorToolsResize.hiddenElement === "second" ? "Show editor tools" : "Hide editor tools", children: /* @__PURE__ */ jsxRuntime.jsx(react.UnStyledButton, { type: "button", onClick: toggleEditorTools, "aria-label": editorToolsResize.hiddenElement === "second" ? "Show editor tools" : "Hide editor tools", className: "graphiql-toggle-editor-tools", children: editorToolsResize.hiddenElement === "second" ? /* @__PURE__ */ jsxRuntime.jsx(react.ChevronUpIcon, { className: "graphiql-chevron-icon", "aria-hidden": "true" }) : /* @__PURE__ */ jsxRuntime.jsx(react.ChevronDownIcon, { className: "graphiql-chevron-icon", "aria-hidden": "true" }) }) })
                ] }) }),
                /* @__PURE__ */ jsxRuntime.jsx("div", { ref: editorToolsResize.secondRef, children: /* @__PURE__ */ jsxRuntime.jsxs("section", { className: "graphiql-editor-tool", "aria-label": activeSecondaryEditor === "variables" ? "Variables" : "Headers", children: [
                  /* @__PURE__ */ jsxRuntime.jsx(react.VariableEditor, { editorTheme: props.editorTheme, isHidden: activeSecondaryEditor !== "variables", keyMap: props.keyMap, onEdit: props.onEditVariables, onClickReference, readOnly: props.readOnly }),
                  isHeadersEditorEnabled && /* @__PURE__ */ jsxRuntime.jsx(react.HeaderEditor, { editorTheme: props.editorTheme, isHidden: activeSecondaryEditor !== "headers", keyMap: props.keyMap, onEdit: props.onEditHeaders, readOnly: props.readOnly })
                ] }) })
              ] }) }),
              /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-horizontal-drag-bar", ref: editorResize.dragBarRef }),
              /* @__PURE__ */ jsxRuntime.jsx("div", { ref: editorResize.secondRef, children: /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-response", children: [
                executionContext.isFetching ? /* @__PURE__ */ jsxRuntime.jsx(react.Spinner, {}) : null,
                /* @__PURE__ */ jsxRuntime.jsx(react.ResponseEditor, { editorTheme: props.editorTheme, responseTooltip: props.responseTooltip, keyMap: props.keyMap }),
                footer
              ] }) })
            ]
          }
        )
      ] })
    ] }),
    /* @__PURE__ */ jsxRuntime.jsxs(react.Dialog, { open: showDialog === "short-keys", onOpenChange: handleOpenShortKeysDialog, children: [
      /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-dialog-header", children: [
        /* @__PURE__ */ jsxRuntime.jsx(react.Dialog.Title, { className: "graphiql-dialog-title", children: "Short Keys" }),
        /* @__PURE__ */ jsxRuntime.jsx(react.Dialog.Close, {})
      ] }),
      /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-dialog-section", children: /* @__PURE__ */ jsxRuntime.jsx(ShortKeys, { keyMap: props.keyMap || "sublime" }) })
    ] }),
    /* @__PURE__ */ jsxRuntime.jsxs(react.Dialog, { open: showDialog === "settings", onOpenChange: handleOpenSettingsDialog, children: [
      /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-dialog-header", children: [
        /* @__PURE__ */ jsxRuntime.jsx(react.Dialog.Title, { className: "graphiql-dialog-title", children: "Settings" }),
        /* @__PURE__ */ jsxRuntime.jsx(react.Dialog.Close, {})
      ] }),
      props.showPersistHeadersSettings ? /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-dialog-section", children: [
        /* @__PURE__ */ jsxRuntime.jsxs("div", { children: [
          /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-dialog-section-title", children: "Persist headers" }),
          /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-dialog-section-caption", children: [
            "Save headers upon reloading.",
            " ",
            /* @__PURE__ */ jsxRuntime.jsx("span", { className: "graphiql-warning-text", children: "Only enable if you trust this device." })
          ] })
        ] }),
        /* @__PURE__ */ jsxRuntime.jsxs(react.ButtonGroup, { children: [
          /* @__PURE__ */ jsxRuntime.jsx(react.Button, { type: "button", id: "enable-persist-headers", className: editorContext.shouldPersistHeaders ? "active" : "", "data-value": "true", onClick: handlePersistHeaders, children: "On" }),
          /* @__PURE__ */ jsxRuntime.jsx(react.Button, { type: "button", id: "disable-persist-headers", className: editorContext.shouldPersistHeaders ? "" : "active", onClick: handlePersistHeaders, children: "Off" })
        ] })
      ] }) : null,
      !forcedTheme && /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-dialog-section", children: [
        /* @__PURE__ */ jsxRuntime.jsxs("div", { children: [
          /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-dialog-section-title", children: "Theme" }),
          /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-dialog-section-caption", children: "Adjust how the interface appears." })
        ] }),
        /* @__PURE__ */ jsxRuntime.jsxs(react.ButtonGroup, { children: [
          /* @__PURE__ */ jsxRuntime.jsx(react.Button, { type: "button", className: theme === null ? "active" : "", onClick: handleChangeTheme, children: "System" }),
          /* @__PURE__ */ jsxRuntime.jsx(react.Button, { type: "button", className: theme === "light" ? "active" : "", "data-theme": "light", onClick: handleChangeTheme, children: "Light" }),
          /* @__PURE__ */ jsxRuntime.jsx(react.Button, { type: "button", className: theme === "dark" ? "active" : "", "data-theme": "dark", onClick: handleChangeTheme, children: "Dark" })
        ] })
      ] }),
      storageContext ? /* @__PURE__ */ jsxRuntime.jsxs("div", { className: "graphiql-dialog-section", children: [
        /* @__PURE__ */ jsxRuntime.jsxs("div", { children: [
          /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-dialog-section-title", children: "Clear storage" }),
          /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-dialog-section-caption", children: "Remove all locally stored data and start fresh." })
        ] }),
        /* @__PURE__ */ jsxRuntime.jsx(react.Button, { type: "button", state: clearStorageStatus || void 0, disabled: clearStorageStatus === "success", onClick: handleClearData, children: {
          success: "Cleared data",
          error: "Failed"
        }[clearStorageStatus] || "Clear data" })
      ] }) : null
    ] })
  ] }) });
}
const modifier = react.isMacOs ? "⌘" : "Ctrl";
const SHORT_KEYS = Object.entries({
  "Search in editor": [modifier, "F"],
  "Search in documentation": [modifier, "K"],
  "Execute query": [modifier, "Enter"],
  "Prettify editors": ["Ctrl", "Shift", "P"],
  "Merge fragments definitions into operation definition": ["Ctrl", "Shift", "M"],
  "Copy query": ["Ctrl", "Shift", "C"],
  "Re-fetch schema using introspection": ["Ctrl", "Shift", "R"]
});
function ShortKeys(t0) {
  const $ = reactCompilerRuntime.c(5);
  const {
    keyMap
  } = t0;
  let t1;
  if ($[0] === Symbol.for("react.memo_cache_sentinel")) {
    t1 = /* @__PURE__ */ jsxRuntime.jsxs("table", { className: "graphiql-table", children: [
      /* @__PURE__ */ jsxRuntime.jsx("thead", { children: /* @__PURE__ */ jsxRuntime.jsxs("tr", { children: [
        /* @__PURE__ */ jsxRuntime.jsx("th", { children: "Short Key" }),
        /* @__PURE__ */ jsxRuntime.jsx("th", { children: "Function" })
      ] }) }),
      /* @__PURE__ */ jsxRuntime.jsx("tbody", { children: SHORT_KEYS.map(_temp5) })
    ] });
    $[0] = t1;
  } else {
    t1 = $[0];
  }
  let t2;
  if ($[1] === Symbol.for("react.memo_cache_sentinel")) {
    t2 = /* @__PURE__ */ jsxRuntime.jsx("a", { href: "https://codemirror.net/5/doc/manual.html#keymaps", target: "_blank", rel: "noopener noreferrer", children: "CodeMirror Key Maps" });
    $[1] = t2;
  } else {
    t2 = $[1];
  }
  let t3;
  if ($[2] === Symbol.for("react.memo_cache_sentinel")) {
    t3 = /* @__PURE__ */ jsxRuntime.jsx("em", { children: "i" });
    $[2] = t3;
  } else {
    t3 = $[2];
  }
  let t4;
  if ($[3] !== keyMap) {
    t4 = /* @__PURE__ */ jsxRuntime.jsxs("div", { children: [
      t1,
      /* @__PURE__ */ jsxRuntime.jsxs("p", { children: [
        "The editors use",
        " ",
        t2,
        " ",
        "that add more short keys. This instance of Graph",
        t3,
        "QL uses",
        " ",
        /* @__PURE__ */ jsxRuntime.jsx("code", { children: keyMap }),
        "."
      ] })
    ] });
    $[3] = keyMap;
    $[4] = t4;
  } else {
    t4 = $[4];
  }
  return t4;
}
function _temp5(t0) {
  const [title, keys] = t0;
  return /* @__PURE__ */ jsxRuntime.jsxs("tr", { children: [
    /* @__PURE__ */ jsxRuntime.jsx("td", { children: keys.map(_temp4) }),
    /* @__PURE__ */ jsxRuntime.jsx("td", { children: title })
  ] }, title);
}
function _temp4(key, index, array) {
  return /* @__PURE__ */ jsxRuntime.jsxs(react$1.Fragment, { children: [
    /* @__PURE__ */ jsxRuntime.jsx("code", { className: "graphiql-key", children: key }),
    index !== array.length - 1 && " + "
  ] }, key);
}
function GraphiQLLogo(props) {
  const $ = reactCompilerRuntime.c(4);
  let t0;
  if ($[0] !== props.children) {
    t0 = props.children || /* @__PURE__ */ jsxRuntime.jsxs("a", { className: "graphiql-logo-link", href: "https://github.com/graphql/graphiql", target: "_blank", rel: "noreferrer", children: [
      "Graph",
      /* @__PURE__ */ jsxRuntime.jsx("em", { children: "i" }),
      "QL"
    ] });
    $[0] = props.children;
    $[1] = t0;
  } else {
    t0 = $[1];
  }
  let t1;
  if ($[2] !== t0) {
    t1 = /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-logo", children: t0 });
    $[2] = t0;
    $[3] = t1;
  } else {
    t1 = $[3];
  }
  return t1;
}
GraphiQLLogo.displayName = "GraphiQLLogo";
function GraphiQLToolbar(props) {
  const $ = reactCompilerRuntime.c(2);
  let t0;
  if ($[0] !== props.children) {
    t0 = /* @__PURE__ */ jsxRuntime.jsx(jsxRuntime.Fragment, { children: props.children });
    $[0] = props.children;
    $[1] = t0;
  } else {
    t0 = $[1];
  }
  return t0;
}
GraphiQLToolbar.displayName = "GraphiQLToolbar";
function GraphiQLFooter(props) {
  const $ = reactCompilerRuntime.c(2);
  let t0;
  if ($[0] !== props.children) {
    t0 = /* @__PURE__ */ jsxRuntime.jsx("div", { className: "graphiql-footer", children: props.children });
    $[0] = props.children;
    $[1] = t0;
  } else {
    t0 = $[1];
  }
  return t0;
}
GraphiQLFooter.displayName = "GraphiQLFooter";
function isChildComponentType(child, component) {
  var _a;
  if (((_a = child == null ? void 0 : child.type) == null ? void 0 : _a.displayName) && child.type.displayName === component.displayName) {
    return true;
  }
  return child.type === component;
}
Object.defineProperty(exports, "GraphiQLProvider", {
  enumerable: true,
  get: () => react.GraphiQLProvider
});
exports.GraphiQL = GraphiQL;
exports.GraphiQLInterface = GraphiQLInterface;
exports.default = GraphiQL;
//# sourceMappingURL=index.js.map
